<?php

namespace Drp\SimpleCms\Generators\Commands;

use Illuminate\Console\GeneratorCommand;

class ModelMakeCommand extends GeneratorCommand
{
    /**
     * @var string
     */
    protected $name = 'make:content-model';

    /**
     * @var string
     */
    protected $description = 'Create a new Content model class';

    /**
     * @var string
     */
    protected $type = 'Model';

    protected function getStub(): string
    {
        return __DIR__ . '/../stubs/model.stub';
    }

    // phpcs:disable SlevomatCodingStandard.TypeHints.TypeHintDeclaration.MissingReturnTypeHint
    // phpcs:disable SlevomatCodingStandard.TypeHints.TypeHintDeclaration.MissingParameterTypeHint
    protected function replaceClass($stub, $name)
    {
        $class = str_replace($this->getNamespace($name) . '\\', '', $name);

        $stub = str_replace('DummyClass', $class, $stub);

        return str_replace('DummyKey', lcfirst(studly_case(str_plural($class))), $stub);
    }
    // phpcs:enable SlevomatCodingStandard.TypeHints.TypeHintDeclaration.MissingReturnTypeHint
    // phpcs:enable SlevomatCodingStandard.TypeHints.TypeHintDeclaration.MissingParameterTypeHint
}
