<?php

namespace Drp\SimpleCms\Generators\Crud\Simple\Admin;

use Drp\SimpleCms\Generators\Crud\Core;
use Illuminate\Support\Str;

class Route
{
    public static function create(string $name): void
    {
        $name = Str::plural(ucfirst($name));
        $class = "App\Http\Controllers\Admin\\${name}Controller::class";
        $name = strtolower($name);
        $path = base_path('routes/admin.php');

        if (!Core::shouldModify($path, $class)) {
            return;
        }

        file_put_contents($path, "\nRoute::resource('$name', $class, ['except' => 'show']);\n", FILE_APPEND);
    }
}
